商品列表
注意:该页面在线上知识库中为私有页。
POST /app/cps/product/list| 字段 | 名称 | 类型 | 是否必须 |
| page | 页码 | int | 是 |
| pageSize | 每页个数 | int | 是 |
| title | 商品名称 | string | 否 |
| first_cids | 一级分类 | array[int] | 否 |
| second_cids | 二级分类 | array[int] | 否 |
| third_cids | 三级分类 | array[int] | 否 |
| price_min | 最低价格,包含 单位分 | int | 否 |
| price_max | 最高价格,不包含 单位分。应保证price_max>=price_min | int | 否 |
| sell_num_min | 历史销量最小值 | int | 否 |
| sell_num_max | 历史销量最大值。应保证sell_num_max>sell_num_min | int | 否 |
| search_type | 排序类型:0 默认排序;1历史销量排序;2价格排序;3佣金排序;4佣金比例排序。不填默认为0 | int | 否 |
| order_type | 0 升序,1 降序。不填默认为0。若search_type为0,则此值无意义 | int | 否 |
| cos_fee_min | 最低分佣,单位分 | int | 否 |
| cos_fee_max | 最高分佣,单位分 | int | 否 |
| cos_ratio_min | 分佣比例百分比乘以100:1.1%,传1.1*100 = 110 | int | 否 |
| cos_ratio_max | 分佣比例百分比乘以100: 1.1%,传1.1*100 = 110 | int | 否 |
{<br /> "code":0,<br /> "desc":"",<br /> "data":{<br /> "total":2000,<br /> "products":[<br /> {<br /> "product_id":3455938529937469044,<br /> "title":"10袋起拍-重庆特色佳仙老火锅底料50g手工全型麻辣烫底料懒人小袋",<br /> "is_kol_product":false,<br /> "price":150,<br /> "first_cid":20104,<br /> "second_cid":21665,<br /> "third_cid":28215,<br /> "in_stock":true,<br /> "sales":14868148,<br /> "cover":"<a href="https://p6-aio.ecombdimg.com/obj/temai/88ea815589ebb6ee0a137a0cad3fc686www800-800">https://p6-aio.ecombdimg.com/obj/temai/88ea815589ebb6ee0a137a0cad3fc686www800-800</a>",<br /> "detail_url":"<a href="https://haohuo.jinritemai.com/views/product/item2?id=3455938529937469044">https://haohuo.jinritemai.com/views/product/item2?id=3455938529937469044</a>",<br /> "shop_id":2283165,<br /> "shop_name":"佳仙食品",<br /> "coupon_price":0,<br /> "cos_ratio":16,<br /> "cos_fee":24,<br /> "ext":"req_id=a02417d2-9604-11ec-b909-0242ac120002&product_id=3455938529937469044"<br /> }<br /> ]<br /> }<br />}